Loading...
Searching...
No Matches
libm2k::context::Context Class Referenceabstract
Context

Controls the IIO context. More...

`#include <libm2k/context.hpp>`

Inheritance diagram for libm2k::context::Context:
[legend]

## Public Member Functions

virtual std::string | getUri ()=0
| Get the URI of the current context.
virtual libm2k::analog::DMM * | getDMM (unsigned int index)=0
| Retrieve the DMM object at a certain index.
virtual libm2k::analog::DMM * | getDMM (std::string name)=0
| Retrieve the DMM object which has the provided name.
virtual std::vector< libm2k::analog::DMM * > | getAllDmm ()=0
| Retrieve all the DMM objects.
virtual std::vector< std::string > | getAvailableContextAttributes ()=0
| Retrieve all the available context attributes.
virtual std::string | getContextAttributeValue (std::string attr)=0
| Retrieve the value of one context attribute.
virtual std::string | getContextDescription ()=0
| Retrieve a detailed context description.
virtual std::string | getSerialNumber ()=0
| Retrieve the current context serial number.
virtual std::unordered_set< std::string > | getAllDevices () const =0
| Retrieve all the available devices.
virtual void | logAllAttributes () const =0
| Log all the attributes.
virtual M2k * | toM2k ()=0
| Convert the current context to M2k context, if possible.
virtual Generic * | toGeneric ()=0
| Convert the current context to Generic context, if possible.
virtual unsigned int | getDmmCount ()=0
| Retrieve the number of DMM objects.
virtual std::string | getFirmwareVersion ()=0
| Retrieve the firmware version of the current context.
virtual const struct libm2k::IIO_CONTEXT_VERSION | getIioContextVersion ()=0
virtual struct iio_context * | getIioContext ()=0
virtual void | setTimeout (unsigned int timeout)=0
| Set a timeout for I/O operations.

## Detailed Description

Controls the IIO context.

The documentation for this class was generated from the following file:

- context.hpp